﻿Imports Telerik.Web.UI
Imports System.Data

Partial Class Default2
	Inherits System.Web.UI.Page
	Protected Sub AjaxUpdate(sender As Object, e As ToolTipUpdateEventArgs) Handles RadToolTipManager1.AjaxUpdate
		'Page.Items.Add("tID", e.Value)
		'Dim ctrl As Control = Page.LoadControl("~/Management/Dashboard/TagToolTip.ascx")
		e.UpdatePanel.ContentTemplateContainer.Controls.Add(New LiteralControl(e.Value))

	End Sub

	Protected Sub gridQueue_ItemDataBound(sender As Object, e As GridItemEventArgs) Handles gridQueue.ItemDataBound
		If e.Item.ItemType = GridItemType.Item OrElse e.Item.ItemType = GridItemType.AlternatingItem Then
			Dim target As Control = e.Item.FindControl("HyperLink1")
			If Not target Is Nothing Then
				Dim val As String = TryCast(e.Item, GridDataItem).GetDataKeyValue("TagID").ToString()
				Me.RadToolTipManager1.TargetControls.Add(target.ClientID, val, True)
			End If
		End If
	End Sub

	Protected Sub gridQueue_ItemCommand(sender As Object, e As GridCommandEventArgs) Handles gridQueue.ItemCommand
		If e.CommandName = "Sort" OrElse e.CommandName = "Page" Then
			RadToolTipManager1.TargetControls.Clear()
		End If
	End Sub

	Protected Function GetData() As DataTable
		Dim tbl As New DataTable()
		tbl.Columns.Add(New DataColumn("TagID"))
		tbl.Columns.Add(New DataColumn("SecondColumn"))
		tbl.Columns.Add(New DataColumn("ThirdColumn"))
		tbl.Columns.Add(New DataColumn("FourthColumn"))
		tbl.Rows.Add(New Object() {"firstRecord1", "firstRecord2", "firstRecord3", "firstRecord4"})
		tbl.Rows.Add(New Object() {"secondRecord1", "secondRecord2", "secondRecord3", "secondRecord4"})
		tbl.Rows.Add(New Object() {"thirdRecord1", "thirdRecord2", "thirdRecord3", "thirdRecord4"})
		Return tbl
	End Function

	Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		gridQueue.DataSource = GetData()
		gridQueue.DataBind()
	End Sub
End Class
